Bug 841000 - Auto-complete field displaying json traceback if elasticsearch text is entered
Auto-complete field displaying json traceback if elasticsearch text is entered
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 16:25 EDT by Og Maciel
Modified: 2013-03-27 16:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Entering a name for the Products "Name" field in the Content Search page produced a traceback error. This fix renders the JSON for the search correctly. The traceback error no longer appears.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:47:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-07-17 16:25:54 EDT
Description of problem:

In the Content Search page, if you enter name:Katello in the Products field, where Katello should be the name of an existing product for your organization, the ui spews json traceback notifications non-stop in the web ui.

Also, the Products search box itself should display "Auto-complete products" as its default text.

Version-Release number of selected component (if applicable):

* candlepin-0.5.32-1.el6.noarch
* candlepin-tomcat6-0.5.32-1.el6.noarch
* katello-0.2.44-1.git.94.136cef9.el6_3.noarch
* katello-all-0.2.44-1.git.94.136cef9.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.6-1.el6.noarch
* katello-cli-0.2.42-1.git.90.19980f5.el6_3.noarch
* katello-cli-common-0.2.42-1.git.90.19980f5.el6_3.noarch
* katello-common-0.2.44-1.git.94.136cef9.el6_3.noarch
* katello-configure-0.2.29-1.git.53.a8cd550.el6_3.noarch
* katello-glue-candlepin-0.2.44-1.git.94.136cef9.el6_3.noarch
* katello-glue-foreman-0.2.44-1.git.94.136cef9.el6_3.noarch
* katello-glue-pulp-0.2.44-1.git.94.136cef9.el6_3.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.2.6-1.el6.noarch
* pulp-1.1.10-1.el6.noarch
* pulp-common-1.1.10-1.el6.noarch
* pulp-selinux-server-1.1.10-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. Select an organization
2. Click the Content tab and then select Content Search
3. Select Repos from the Content drowdown widget in the Browse section
4. Type name:Katello
  
Actual results:

Non-stop json traceback notifications displayed in the web ui.

Expected results:


Additional info:
Comment 1 Justin Sherrill 2012-07-26 16:18:33 EDT
fixed in these two commits:

faae69efaf807c14dd2030ebe37fd674e6a66e25
bc6dba210e9beefbf5ed13647db2faffe7de2da3
Comment 4 Og Maciel 2012-09-15 19:30:52 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:47:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.